<?php
//*********************/
//Скрипт переписан админом
//http://waufon.ru  Кот      *  Проги для компа и мобил
//Помогал админ
//http://pfc.h2m.ru/ КОСМОС  * Посети непожалееш
//всю эту срань господнюю
//перехуяривали на дыры
//http://rus-waphost.ru/ Nitrix * Супер хост без висов
/*********************/
require( "inc/conf.inc.php" );
require( "inc/check.php" );
echo "<title>Именинники</title>";
echo "<style type=\"text/css\">";
echo "body { font-size: {$fs}; color: {$tcol}; background-color: {$bcol}; text-align: center }";
echo "a:link,a:visited { text-decoration: underline; color: {$lcol} }";
echo "div { border-style:solid; border-width: 1px; background-color: {$rcol} }";
echo "</style>";
echo "</head>";
echo "<body>";
switch ( $mod )
{
case "a1" :
$curdata = date( "-m-d" );
$year = date("Y");
$byear = $row['byear'];
$r = mysql_query( "SELECT id, login, birth, byear from users WHERE  bdata LIKE '%$curdata%' order by id desc limit 10" );
if ( mysql_num_rows( $r ) == 0 )
{
echo "<div>Сегодня  именинников нет.</div>";
}
else
{
$i = 1;
echo "<div>Сегодняшние именинники:<br/>---<br/>";
while ( $a = mysql_fetch_array( $r ) )
{
##### подсчёт возраста именинников #######
$byear = $a[3];
if ($year>$byear) $age=$year-$byear; 
else  $age="Не известны";
if ((!$age)||($age==0)||($age=="")||($age>$year)) $age="Не известны";
else if (($age==1)||($age==21)||($age==31)||($age==41)||($age==51)) $years = "год";
else if (($age==2)||($age==3)||($age==4)||($age==22)||($age==23)||($age==24)||($age==32)||($age==33)||($age==34)||($age==42)||($age==43)||($age==44)||($age==52)||($age==53)||($age==54))  $years = "года";
else if ($age>100) $age ="Не известны";
else  $years = "лет";
$age="<b>".$age."</b>\n";

echo ($i++). ")&nbsp<b><a href=\"user.php?id={$id}&amp;pass={$pass}&amp;dbid={$a['id']}\">{$a['login']}</a></b>  - <b>( ".($age)."$years )</b><br/>";
#####*/
}
echo "</div>";
}
break;

default :
$curdata = date( "-m-d" );
$q1 = mysql_query( "SELECT id from users WHERE  bdata LIKE '%$curdata%'" );
$cntr = mysql_num_rows( $q1 );
$data = file( "data/stats.dat" );
echo "<div>";
echo "Именинников сегодня\r";
echo "<a href=\"bdate.php?id={$id}&amp;pass={$pass}&amp;mod=a1\">{$cntr}</a>\r";
echo "человек.</div>";
echo "</div><br/>";
break;
}
if ( isset( $mod ) )
{
echo "<br/><a href=\"stats.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Статистика</a><br/>";
}
echo "<a href=\"enter.php?id={$id}&amp;pass={$pass}&amp;ref={$ref}\">Прихожая</a><br/>";
$end = gettime( );
echo "<p align=\"center\">[".round( $end - $mystart, 5 )."]</p>";
echo "<p>{$ip}</p>";
require("inc/coper.php");
echo "</body></html>";
mysql_close( $link );
?>